Bug 54752 - Please update specspo, and make the spec description match
Please update specspo, and make the spec description match
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-10-17 16:56 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-09 10:03:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-17 16:56:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
The description of the XFree86 package says the video hardware drivers are
not part of that package. This was true for XFree86 3.x, but with 4.x, the
driver modules ARE in the XFree86 package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -qi XFree86 ;)


Actual Results:  Incorrect information showed up.

Expected Results:  Correct information should have been displayed. ;)

Additional info:
Comment 1 Mike A. Harris 2001-10-29 00:46:14 EST
I believe in Red Hat Linux 7.2 this is fixed.  The descriptions that
show up actually come from the specspo package.  I'll leave this open
though until it is confirmed properly on a fresh 7.2 install.  I'll also
copy the specspo descriptions to the specfile for consistency if they
aren't already.
Comment 2 Need Real Name 2001-10-29 11:15:59 EST
It is not fixed in 7.2, the XFree86-4.1.0 package still has the same description
as in Red Hat 7.1.
Comment 3 Mike A. Harris 2001-10-29 21:40:18 EST
Do you have the specspo package installed?  If not, could you install
it, and let me know if the descriptions change?  Either way, there
does seem to be a problem that should be fixed.  Your input will be
helpful, thanks.
Comment 4 Need Real Name 2001-10-30 10:22:33 EST
The description changes when I install specspo. I think it is a bit unintuitive
that package descriptions change when another package (specspo) is installed,
but who am I to complain.
Comment 5 Mike A. Harris 2002-02-09 10:03:25 EST
The definitive descriptions of the packages are the ones stored in
specspo.  rpm uses them for internationalization, but we also use them
to store our master descriptions too.

WHile we try to keep the in-package descriptions also up to date, it
can often be quite a mess to manage.  We've considered removing the
descriptions from the spec files entirely and requiring specspo be
installed also.  That has varios bad drawbacks as well.  I'm sure
we'll come up with some ubercool automated solution at some point in
the future, but for now it's hunker down and tough it out the hard way.

I'll try to make sure all XFree86 descriptions match both in specspo
and in the distro for the next official distro release.
Comment 6 Mike A. Harris 2002-05-30 02:08:16 EDT
Fixed in Red Hat Linux 7.3

Note You need to log in before you can comment on or make changes to this bug.